Subject: Re: Download statistics

From: Tom Lane <[email-masked]>
Date: Sat, 25 Oct 2025 10:38:34 -0400

"Peter J. Holzer" <[email-masked]> writes:
> The discussion about people avoiding .0 releases over in the "Index
> corruption ..." thread made me wonder how the distribution really looks
> like. How many people do install X.0, X.1, etc. for each major version
> X?

> Download statistics are of course quite noisy but I think they should at
> least show the trends. Do you have any and would you mind publishing
> them?

I imagine we have stats for downloads from www.postgresql.org,
but it's been many years since we thought those were complete
or even representative.  Nowadays we assume that most people
consume Postgres via binary packages built by third parties
(e.g. Linux distros).  Of course, we have zero visibility into
the download stats for those.

			regards, tom lane

---

From: Ron Johnson <[email-masked]>
Date: Sat, 25 Oct 2025 10:43:41 -0400

On Sat, Oct 25, 2025 at 10:38 AM Tom Lane <[email-masked]> wrote:

> or even representative.

I download one set of RPMs (PG 14.19, for example) and then scp them to 15
different servers.  One set of PG 17.6 binaries gets copied to 30 different
servers.

-- 
Death to <Redacted>, and butter sauce.
Don't boil me, I'm still alive.
<Redacted> lobster!